createCompositionfinal_rolik = function()
	local compositionfinal_rolik = CreateCompositionSequence();
	local compositionDuration = 8.2;
	compositionfinal_rolik:SetDuration(compositionDuration);
	compositionfinal_rolik:SetDestroysOnEnd(false)

	-- Layer Layer_1
	local element = createCompositionPrecomp1();
	element:SetName("Layer_1");
	compositionfinal_rolik:AddElement(element);
	element:SetHotSpot(512, 384);
	compositionfinal_rolik:RegisterParentInfo("Layer_1", "Layer_4");
	element:SetXY(51, 57.0439146926407);

	element:SetScaleX(0.02575543707311);
	element:SetScaleY(0.02575543707311);
	element:SetAngle(0);
	element:SetOpacity(1);

	effector = element:GetEffector();
	effector:SetLifeTime(0, 8.92);


	effector:Play();


	-- Layer Layer_2
	local element = CreateCompositionElement("data/Texture/Outro/BG_final_rolik_1.jpg");
	element:SetName("Layer_2");
	compositionfinal_rolik:AddElement(element);
	element:SetHotSpot(806, 599.5);
	compositionfinal_rolik:RegisterParentInfo("Layer_2", "Layer_4");
	element:SetXY(26.1422113566775, 38.1267146142419);

	element:SetScaleX(0.03150739211485);
	element:SetScaleY(2 * 0.03150739211485);
	element:SetAngle(0);
	element:SetOpacity(1);

	effector = element:GetEffector();
	effector:SetLifeTime(0, 30.25);


	effector:Play();


	-- Layer Layer_3
	local element = CreateCompositionElement("data/Texture/Outro/BG_final_rolik_2.jpg");
	element:SetName("Layer_3");
	compositionfinal_rolik:AddElement(element);
	element:SetHotSpot(806, 599.5);
	compositionfinal_rolik:RegisterParentInfo("Layer_3", "Layer_4");
	element:SetXY(76.9242505977821, 38.1267146142419);

	element:SetScaleX(0.03150739211485);
	element:SetScaleY(2 * 0.03150739211485);
	element:SetAngle(0);
	element:SetOpacity(1);

	effector = element:GetEffector();
	effector:SetLifeTime(0, 30.25);


	effector:Play();


	-- Layer Layer_4
	local element = CreateCompositionElement("data/Texture/Outro/root.png");
	element:SetName("Layer_4");
	compositionfinal_rolik:AddElement(element);
	element:SetHotSpot(51, 38.5);
	element:SetParentElement(compositionfinal_rolik);
	element:SetAngle(0);
	element:SetOpacity(1);

	effector = element:GetEffector();
	effector:SetLifeTime(0, 30.25);

	effector:SetKey(_TRACK_X, 4.16, 512);
	effector:SetKey(_TRACK_Y, 4.16, -336);
	effector:SetKey(_TRACK_X, 7, 512);
	effector:SetKey(_TRACK_Y, 7, 386.612762451172);
	effector:SetKey(_TRACK_SX, 4.16, 38.8267532467533);
	effector:SetKey(_TRACK_SY, 4.16, 38.8267532467532);
	effector:SetKey(_TRACK_SX, 7, 10.2367532467532);
	effector:SetKey(_TRACK_SY, 7, 10.2367532467532);

	effector:Play();

	compositionfinal_rolik:Play();

	return compositionfinal_rolik;
end

function OnButtonMouseEnter(title)
end

function OnButtonMouseLeave(title)
end

createCompositionPrecomp1 = function()

	local compositionPrecomp1 = CreateCompositionSequence();
	local compositionDuration = 4.4;
	compositionPrecomp1:SetDuration(compositionDuration);


	-- Layer Layer_1
	local element = CreateCompositionElement("data/Texture/Outro/1.png");
	element:SetName("Layer_1");
	compositionPrecomp1:AddElement(element);
	element:SetHotSpot(77.5, 74);
	compositionPrecomp1:RegisterParentInfo("Layer_1", "Layer_13");
	element:SetXY(68.3333333333333, 354.166666666667);

	element:SetScaleX(1);
	element:SetScaleY(1);
	element:SetOpacity(1);

	effector = element:GetEffector();
	effector:SetLifeTime(0, 30.25);

	effector:SetKey(_TRACK_A, 0, 0.36022485354735);
	effector:SetKey(_TRACK_A, 0.44, -0.23326820450542);
	effector:SetKey(_TRACK_A, 1.04, -0.87196379658569);
	effector:SetKey(_TRACK_A, 1.2, -1.00516358302343);
	effector:SetKey(_TRACK_A, 1.68, -0.87196379658569);
	effector:SetKey(_TRACK_A, 1.78, -0.52478158321975);
	effector:SetKey(_TRACK_A, 1.88, -0.21115663036294);
	effector:SetKey(_TRACK_A, 1.98, 0.06457463712279);
	effector:SetKey(_TRACK_A, 2.08, 0.28676349248211);
	effector:SetKey(_TRACK_A, 2.18, 0.41471775385293);
	effector:SetKey(_TRACK_A, 2.2, 0.41992969703535);

	effector:Play();


	-- Layer Layer_2
	local element = CreateCompositionElement("data/Texture/Outro/16.png");
	element:SetName("Layer_2");
	compositionPrecomp1:AddElement(element);
	element:SetHotSpot(135.5, 346);
	compositionPrecomp1:RegisterParentInfo("Layer_2", "Layer_1");
	element:SetXY(420.833333333333, 614);

	element:SetScaleX(1);
	element:SetScaleY(1);

	effector = element:GetEffector();
	effector:SetLifeTime(0, 30.25);

	effector:SetKey(_TRACK_A, 0, 0.62830249899198);
	effector:SetKey(_TRACK_A, 1.68, 0.62830249899198);
	effector:SetKey(_TRACK_O, 1.64, 1);
	effector:SetKey(_TRACK_O, 1.68, 0.01);

	effector:Play();


	-- Layer Layer_3
	local element = CreateCompositionElement("data/Texture/Outro/2.png");
	element:SetName("Layer_3");
	compositionPrecomp1:AddElement(element);
	element:SetHotSpot(167.5, 359.5);
	compositionPrecomp1:RegisterParentInfo("Layer_3", "Layer_13");
	element:SetXY(245, 95.8333333333336);

	element:SetScaleX(1);
	element:SetScaleY(1);
	element:SetOpacity(1);

	effector = element:GetEffector();
	effector:SetLifeTime(0, 30.25);

	effector:SetKey(_TRACK_A, 0, 0);
	effector:SetKey(_TRACK_A, 0.64, -0.11075795067748);
	effector:SetKey(_TRACK_A, 1.16, 0.22433445195264);
	effector:SetKey(_TRACK_A, 1.68, 0);
	effector:SetKey(_TRACK_A, 2.16, -0.07600356935528);
	effector:SetKey(_TRACK_A, 3.12, 0);
	effector:SetKey(_TRACK_A, 3.64, 0.11976995813843);
	effector:SetKey(_TRACK_A, 4.24, 0);

	effector:Play();


	-- Layer Layer_4
	local element = CreateCompositionElement("data/Texture/Outro/8.png");
	element:SetName("Layer_4");
	compositionPrecomp1:AddElement(element);
	element:SetHotSpot(327, 397);
	compositionPrecomp1:RegisterParentInfo("Layer_4", "Layer_5");
	element:SetXY(387.500000000006, 243.833333333335);

	element:SetScaleX(1);
	element:SetScaleY(1);
	element:SetOpacity(1);

	effector = element:GetEffector();
	effector:SetLifeTime(0, 30.25);

	effector:SetKey(_TRACK_A, 0, 0);
	effector:SetKey(_TRACK_A, 0.4, 0.02690713040291);
	effector:SetKey(_TRACK_A, 1.04, 0);
	effector:SetKey(_TRACK_A, 1.2, 0.12974282366368);
	effector:SetKey(_TRACK_A, 1.44, -0.03146951407449);
	effector:SetKey(_TRACK_A, 2.24, -0.03146951407449);
	effector:SetKey(_TRACK_A, 3, -0.1338788691294);
	effector:SetKey(_TRACK_A, 3.32, -0.10825513477198);
	effector:SetKey(_TRACK_A, 4.04, -0.03146951407449);

	effector:Play();


	-- Layer Layer_5
	local element = CreateCompositionElement("data/Texture/Outro/10.png");
	element:SetName("Layer_5");
	compositionPrecomp1:AddElement(element);
	element:SetHotSpot(377.5, 630.5);
	compositionPrecomp1:RegisterParentInfo("Layer_5", "Layer_8");
	element:SetXY(382.666666666667, 216.501937984496);

	element:SetScaleX(1);
	element:SetScaleY(1);
	element:SetOpacity(1);

	effector = element:GetEffector();
	effector:SetLifeTime(0, 30.25);

	effector:SetKey(_TRACK_A, 0, 0);
	effector:SetKey(_TRACK_A, 0.4, -0.02077652772668);
	effector:SetKey(_TRACK_A, 1.04, 0);
	effector:SetKey(_TRACK_A, 1.2, -0.10986179268665);
	effector:SetKey(_TRACK_A, 2.24, -0.10986179268665);
	effector:SetKey(_TRACK_A, 3, -0.23478336055779);
	effector:SetKey(_TRACK_A, 3.32, -0.21556239313603);
	effector:SetKey(_TRACK_A, 4.04, -0.10986179268665);

	effector:Play();


	-- Layer Layer_6
	local element = CreateCompositionElement("data/Texture/Outro/18.png");
	element:SetName("Layer_6");
	compositionPrecomp1:AddElement(element);
	element:SetHotSpot(119.5, 60);
	compositionPrecomp1:RegisterParentInfo("Layer_6", "Layer_12");
	element:SetXY(123.452296789619, 264.838169069508);

	element:SetScaleX(1);
	element:SetScaleY(1);
	element:SetAngle(-0.00028000457194);
	element:SetOpacity(1);

	effector = element:GetEffector();
	effector:SetLifeTime(0, 30.25);


	effector:Play();


	-- Layer Layer_7
	local element = CreateCompositionElement("data/Texture/Outro/14.png");
	element:SetName("Layer_7");
	compositionPrecomp1:AddElement(element);
	element:SetHotSpot(107.5, 100.5);
	compositionPrecomp1:RegisterParentInfo("Layer_7", "Layer_9");
	element:SetXY(308.833333333328, 115.666666666666);

	element:SetScaleX(1);
	element:SetScaleY(1);
	element:SetAngle(0);

	effector = element:GetEffector();
	effector:SetLifeTime(0, 30.25);

	effector:SetKey(_TRACK_O, 0.16, 0);
	effector:SetKey(_TRACK_O, 0.28, 1);
	effector:SetKey(_TRACK_O, 0.44, 0);
	effector:SetKey(_TRACK_O, 1.08, 0);
	effector:SetKey(_TRACK_O, 1.2, 1);
	effector:SetKey(_TRACK_O, 1.36, 0);
	effector:SetKey(_TRACK_O, 2.64, 0);
	effector:SetKey(_TRACK_O, 2.76, 1);
	effector:SetKey(_TRACK_O, 2.96, 1);
	effector:SetKey(_TRACK_O, 3.24, 0);

	effector:Play();


	-- Layer Layer_8
	local element = CreateCompositionElement("data/Texture/Outro/11.png");
	element:SetName("Layer_8");
	compositionPrecomp1:AddElement(element);
	element:SetHotSpot(396, 643.168604651163);
	element:SetParentElement(compositionPrecomp1);
	element:SetXY(714.248611450195, 680.5);

	element:SetScaleX(0.3);
	element:SetScaleY(0.3);
	element:SetAngle(0);
	element:SetOpacity(1);

	effector = element:GetEffector();
	effector:SetLifeTime(0, 30.25);


	effector:Play();


	-- Layer Layer_9
	local element = CreateCompositionElement("data/Texture/Outro/12.png");
	element:SetName("Layer_9");
	compositionPrecomp1:AddElement(element);
	element:SetHotSpot(221, 369);
	compositionPrecomp1:RegisterParentInfo("Layer_9", "Layer_4");
	element:SetXY(416.666666666667, 90.333333333333);

	element:SetOpacity(1);

	effector = element:GetEffector();
	effector:SetLifeTime(0, 30.25);

	effector:SetKey(_TRACK_SX, 1.04, 1);
	effector:SetKey(_TRACK_SY, 1.04, 1);
	effector:SetKey(_TRACK_SX, 1.16, 1.06423499301612);
	effector:SetKey(_TRACK_SY, 1.16, 0.96152863561907);
	effector:SetKey(_TRACK_SX, 1.28, 1);
	effector:SetKey(_TRACK_SY, 1.28, 1.08976651688883);
	effector:SetKey(_TRACK_SX, 1.4, 1);
	effector:SetKey(_TRACK_SY, 1.4, 1);
	effector:SetKey(_TRACK_A, 1.12, 0);
	effector:SetKey(_TRACK_A, 1.28, 0.07045613196718);
	effector:SetKey(_TRACK_A, 2.2, 0.04565518582482);
	effector:SetKey(_TRACK_A, 3, -0.32994526666186);
	effector:SetKey(_TRACK_A, 3.32, -0.25169785292466);
	effector:SetKey(_TRACK_A, 4.04, 0.04114454908706);

	effector:Play();


	-- Layer Layer_10
	local element = CreateCompositionElement("data/Texture/Outro/9.png");
	element:SetName("Layer_10");
	compositionPrecomp1:AddElement(element);
	element:SetHotSpot(240, 158);
	compositionPrecomp1:RegisterParentInfo("Layer_10", "Layer_4");
	element:SetXY(433.333333333333, 112);

	element:SetScaleX(1);
	element:SetScaleY(1);
	element:SetAngle(0);
	element:SetOpacity(1);

	effector = element:GetEffector();
	effector:SetLifeTime(0, 30.25);


	effector:Play();


	-- Layer Layer_11
	local element = CreateCompositionElement("data/Texture/Outro/16.png");
	element:SetName("Layer_11");
	compositionPrecomp1:AddElement(element);
	element:SetHotSpot(135.5, 346);
	compositionPrecomp1:RegisterParentInfo("Layer_11", "Layer_12");
	element:SetScaleX(1);
	element:SetScaleY(1);

	effector = element:GetEffector();
	effector:SetLifeTime(0, 30.25);

	effector:SetKey(_TRACK_X, 2.28, 14.7944215035827);
	effector:SetKey(_TRACK_Y, 2.28, 642.319293107424);
	effector:SetKey(_TRACK_X, 2.56, -182.817322627662);
	effector:SetKey(_TRACK_Y, 2.56, 501.784613237688);
	effector:SetKey(_TRACK_X, 2.72, -229.353674937979);
	effector:SetKey(_TRACK_Y, 2.72, 434.290524211753);
	effector:SetKey(_TRACK_A, 0, -0.84218026648484);
	effector:SetKey(_TRACK_A, 2.28, -0.84218026648484);
	effector:SetKey(_TRACK_A, 2.56, -0.07602161281485);
	effector:SetKey(_TRACK_A, 2.72, 0.22207481762015);
	effector:SetKey(_TRACK_O, 1.64, 0);
	effector:SetKey(_TRACK_O, 1.68, 1);

	effector:Play();


	-- Layer Layer_12
	local element = CreateCompositionElement("data/Texture/Outro/13.png");
	element:SetName("Layer_12");
	compositionPrecomp1:AddElement(element);
	element:SetHotSpot(502, 51.5);
	compositionPrecomp1:RegisterParentInfo("Layer_12", "Layer_4");
	element:SetXY(258.333333333333, 160.333333333333);

	element:SetScaleX(1);
	element:SetScaleY(1);
	element:SetOpacity(1);

	effector = element:GetEffector();
	effector:SetLifeTime(0, 30.25);

	effector:SetKey(_TRACK_A, 0, -0.3372200514464);
	effector:SetKey(_TRACK_A, 0.48, -0.43236998484949);
	effector:SetKey(_TRACK_A, 0.96, -0.36530004550041);
	effector:SetKey(_TRACK_A, 1.2, -0.58430614290033);
	effector:SetKey(_TRACK_A, 1.3, 0.10381474989471);
	effector:SetKey(_TRACK_A, 1.4, 0.51171653493266);
	effector:SetKey(_TRACK_A, 1.5, 0.74765405001229);
	effector:SetKey(_TRACK_A, 1.6, 0.84978366420013);
	effector:SetKey(_TRACK_A, 1.64, 0.85835199220476);
	effector:SetKey(_TRACK_A, 1.7, 0.95671978274044);
	effector:SetKey(_TRACK_A, 1.8, 1.12341070724628);
	effector:SetKey(_TRACK_A, 1.9, 1.22102247863307);
	effector:SetKey(_TRACK_A, 2, 1.25957025625809);
	effector:SetKey(_TRACK_A, 2.04, 1.26184455700372);
	effector:SetKey(_TRACK_A, 2.1, 1.2495483822112);
	effector:SetKey(_TRACK_A, 2.2, 1.15972990423364);
	effector:SetKey(_TRACK_A, 2.3, 0.97214983815993);
	effector:SetKey(_TRACK_A, 2.4, 0.68229759874204);
	effector:SetKey(_TRACK_A, 2.5, 0.33795530525697);
	effector:SetKey(_TRACK_A, 2.52, 0.27931672906525);
	effector:SetKey(_TRACK_A, 2.6, 0.07070632446894);
	effector:SetKey(_TRACK_A, 2.7, -0.06542159774037);
	effector:SetKey(_TRACK_A, 2.8, -0.1144952422503);
	effector:SetKey(_TRACK_A, 2.9, -0.13572442737518);
	effector:SetKey(_TRACK_A, 3, -0.1453435568534);
	effector:SetKey(_TRACK_A, 3.1, -0.14904368498974);
	effector:SetKey(_TRACK_A, 3.16, -0.14953363577573);
	effector:SetKey(_TRACK_A, 3.2, -0.15702736391446);
	effector:SetKey(_TRACK_A, 3.3, -0.17576166847074);
	effector:SetKey(_TRACK_A, 3.4, -0.1944959555439);
	effector:SetKey(_TRACK_A, 3.5, -0.21323027637632);
	effector:SetKey(_TRACK_A, 3.6, -0.2319645583563);
	effector:SetKey(_TRACK_A, 3.7, -0.25069887809146);
	effector:SetKey(_TRACK_A, 3.72, -0.2544457276507);
	effector:SetKey(_TRACK_A, 4.12, -0.29748201987863);

	effector:Play();


	-- Layer Layer_13
	local element = CreateCompositionElement("data/Texture/Outro/3.png");
	element:SetName("Layer_13");
	compositionPrecomp1:AddElement(element);
	element:SetHotSpot(325, 417.5);
	compositionPrecomp1:RegisterParentInfo("Layer_13", "Layer_14");
	element:SetXY(321.833333333334, 121.333333333333);

	element:SetScaleX(1);
	element:SetScaleY(1);
	element:SetOpacity(1);

	effector = element:GetEffector();
	effector:SetLifeTime(0, 30.25);

	effector:SetKey(_TRACK_A, 0, 0);
	effector:SetKey(_TRACK_A, 0.44, -0.05082416541724);
	effector:SetKey(_TRACK_A, 1.04, -0.01113829309934);
	effector:SetKey(_TRACK_A, 1.68, -0.01113829309934);
	effector:SetKey(_TRACK_A, 2.28, -0.01113829309934);
	effector:SetKey(_TRACK_A, 2.38, -0.03257332433407);
	effector:SetKey(_TRACK_A, 2.48, -0.05510957063484);
	effector:SetKey(_TRACK_A, 2.58, -0.07569928856449);
	effector:SetKey(_TRACK_A, 2.68, -0.09273669973265);
	effector:SetKey(_TRACK_A, 2.78, -0.10403419982736);
	effector:SetKey(_TRACK_A, 2.84, -0.10637897270158);
	effector:SetKey(_TRACK_A, 2.88, -0.10580652140218);
	effector:SetKey(_TRACK_A, 2.98, -0.09991435557145);
	effector:SetKey(_TRACK_A, 3.08, -0.08899092747535);
	effector:SetKey(_TRACK_A, 3.18, -0.07471330945182);
	effector:SetKey(_TRACK_A, 3.28, -0.05875862180031);
	effector:SetKey(_TRACK_A, 3.38, -0.04280394838637);
	effector:SetKey(_TRACK_A, 3.48, -0.0285263322364);
	effector:SetKey(_TRACK_A, 3.58, -0.01760289742996);
	effector:SetKey(_TRACK_A, 3.68, -0.01171074458609);
	effector:SetKey(_TRACK_A, 3.72, -0.01113829309934);

	effector:Play();


	-- Layer Layer_14
	local element = CreateCompositionElement("data/Texture/Outro/4.png");
	element:SetName("Layer_14");
	compositionPrecomp1:AddElement(element);
	element:SetHotSpot(478.5, 478);
	compositionPrecomp1:RegisterParentInfo("Layer_14", "Layer_15");
	element:SetXY(460.833333333333, 134.333333333333);

	element:SetScaleX(1);
	element:SetScaleY(1);
	element:SetOpacity(1);

	effector = element:GetEffector();
	effector:SetLifeTime(0, 30.25);

	effector:SetKey(_TRACK_A, 0, 0);
	effector:SetKey(_TRACK_A, 0.44, -0.03057339136219);
	effector:SetKey(_TRACK_A, 1.04, 0.12964001569632);
	effector:SetKey(_TRACK_A, 1.68, 0.12964001569632);
	effector:SetKey(_TRACK_A, 1.78, 0.08862851396281);
	effector:SetKey(_TRACK_A, 1.88, 0.05103893239009);
	effector:SetKey(_TRACK_A, 1.98, 0.01705400199104);
	effector:SetKey(_TRACK_A, 2.08, -0.01231788572143);
	effector:SetKey(_TRACK_A, 2.18, -0.03492287313259);
	effector:SetKey(_TRACK_A, 2.28, -0.04528379848729);
	effector:SetKey(_TRACK_A, 2.38, -0.03453895806381);
	effector:SetKey(_TRACK_A, 2.48, -0.02324213118235);
	effector:SetKey(_TRACK_A, 2.58, -0.01292101341307);
	effector:SetKey(_TRACK_A, 2.68, -0.00438060382794);
	effector:SetKey(_TRACK_A, 2.78, 0.00128256173005);
	effector:SetKey(_TRACK_A, 2.84, 0.00245793079811);
	effector:SetKey(_TRACK_A, 2.88, 0.00217097153312);
	effector:SetKey(_TRACK_A, 2.98, -0.00078260139776);
	effector:SetKey(_TRACK_A, 3.08, -0.00625823713152);
	effector:SetKey(_TRACK_A, 3.18, -0.01341523913423);
	effector:SetKey(_TRACK_A, 3.28, -0.02141294481498);
	effector:SetKey(_TRACK_A, 3.38, -0.0294106123222);
	effector:SetKey(_TRACK_A, 3.48, -0.03656762733739);
	effector:SetKey(_TRACK_A, 3.58, -0.04204325771219);
	effector:SetKey(_TRACK_A, 3.68, -0.04499684717523);
	effector:SetKey(_TRACK_A, 3.72, -0.04528380598059);

	effector:Play();


	-- Layer Layer_15
	local element = CreateCompositionElement("data/Texture/Outro/5.png");
	element:SetName("Layer_15");
	compositionPrecomp1:AddElement(element);
	element:SetHotSpot(377.5, 761);
	element:SetParentElement(compositionPrecomp1);
	element:SetXY(339.5, 687.5);

	element:SetScaleX(0.3);
	element:SetScaleY(0.3);
	element:SetOpacity(1);

	effector = element:GetEffector();
	effector:SetLifeTime(0, 30.25);

	effector:SetKey(_TRACK_A, 0, 0);
	effector:SetKey(_TRACK_A, 1.68, 0);

	effector:Play();


	-- Layer Layer_16
	local element = CreateCompositionElement("data/Texture/Outro/6.png");
	element:SetName("Layer_16");
	compositionPrecomp1:AddElement(element);
	element:SetHotSpot(136.5, 236.5);
	compositionPrecomp1:RegisterParentInfo("Layer_16", "Layer_14");
	element:SetXY(661.833333333334, 651.333333333333);

	element:SetScaleX(1);
	element:SetScaleY(1);
	element:SetOpacity(1);

	effector = element:GetEffector();
	effector:SetLifeTime(0, 30.25);

	effector:SetKey(_TRACK_A, 0, 0);
	effector:SetKey(_TRACK_A, 1.68, 0);

	effector:Play();


	-- Layer Layer_17
	local element = CreateCompositionElement("data/Texture/Outro/7.png");
	element:SetName("Layer_17");
	compositionPrecomp1:AddElement(element);
	element:SetHotSpot(103, 222.5);
	compositionPrecomp1:RegisterParentInfo("Layer_17", "Layer_13");
	element:SetXY(555, 244.166666666667);

	element:SetScaleX(1);
	element:SetScaleY(1);
	element:SetOpacity(1);

	effector = element:GetEffector();
	effector:SetLifeTime(0, 30.25);

	effector:SetKey(_TRACK_A, 0, 0.0768572372601);
	effector:SetKey(_TRACK_A, 0.28, 0.0768572372601);
	effector:SetKey(_TRACK_A, 1.04, 0.81504699193495);
	effector:SetKey(_TRACK_A, 1.68, 0.81504699193495);
	effector:SetKey(_TRACK_A, 1.78, 0.73153293294666);
	effector:SetKey(_TRACK_A, 1.88, 0.65455991501991);
	effector:SetKey(_TRACK_A, 1.98, 0.58429390494306);
	effector:SetKey(_TRACK_A, 2.08, 0.52231442243843);
	effector:SetKey(_TRACK_A, 2.18, 0.47183010381296);
	effector:SetKey(_TRACK_A, 2.28, 0.43995304774437);
	effector:SetKey(_TRACK_A, 2.32, 0.43612600711266);
	effector:SetKey(_TRACK_A, 2.38, 0.43951384247596);
	effector:SetKey(_TRACK_A, 2.48, 0.44516022722995);
	effector:SetKey(_TRACK_A, 2.58, 0.45080662640965);
	effector:SetKey(_TRACK_A, 2.68, 0.45645304672858);
	effector:SetKey(_TRACK_A, 2.78, 0.46209945143718);
	effector:SetKey(_TRACK_A, 2.88, 0.46774583539486);
	effector:SetKey(_TRACK_A, 2.98, 0.47339225153942);
	effector:SetKey(_TRACK_A, 3.08, 0.47903861885982);
	effector:SetKey(_TRACK_A, 3.18, 0.48468502908932);
	effector:SetKey(_TRACK_A, 3.28, 0.49033142993728);
	effector:SetKey(_TRACK_A, 4.32, 0.45648246009392);

	effector:Play();

	compositionPrecomp1:Play();

	return compositionPrecomp1;
end


function OnSceneLoad(screen)
	outro = screen
    game_state = {}    
    LoadData(screen)        
    game_state.custom_cursors = {}
    game_state.locked_objects = {}
    --level:AddTaskSafe(CreateTask('', '', ''))
    --zone = CreateZoomZone('')
    game_state.locker = ReferenceCounter()
    game_state.active_zone = nil
    game_state.inventory_zones = {}
	game_state.active_objects = {}
	
	local r = createCompositionfinal_rolik()	
	--TimerDo(GetGameManager():GetTimer(), 8.72, function() screen:ScreenDestroy() end)
	--TimerDo(GetGameManager():GetTimer(), 8.72, function() screen:ScreenDestroy() end)
	--TimerDo(GetGameManager():GetTimer(), 8., load_screen, 'data/Lua/Screens/Menu.lua')
	r:AttachTo(screen)
		
	local af = CreateAnimationEffector()
	af:AttachTo(screen:GetObject('OctopusFree'))	
	af:SetKey(_TRACK_X, 0, 1174)
	af:SetKey(_TRACK_Y, 0, 789)
	af:SetKey(_TRACK_X, 0.09, 940)
	af:SetKey(_TRACK_Y, 0.09, 728)
	af:SetKey(_TRACK_X, 1.14, 940)
	af:SetKey(_TRACK_Y, 1.14, 728)
	af:SetKey(_TRACK_X, 1.23, 1260)
	af:SetKey(_TRACK_Y, 1.23, 729)
	local dummies = {}
	table.insert(dummies, 'dummy1')
	table.insert(dummies, 'dummy2')
	table.insert(dummies, 'dummy3')
	table.insert(dummies, 'dummy4')
	local salute_sound = CreateSoundEntity('OnSalute')
	salute_sound:AttachTo(screen)
	local FireNextSalute
	FireNextSalute = function()
		screen:GetObject(dummies[math.random(1, table.getn(dummies))]):AddParticleSystem("data/ParticleSystem/Salute.psi",
										 screen:GetObject('SmallStarParticle'):GetAnimationPtr())				
		TimerDo(screen:GetTimer(), 1, FireNextSalute)
		salute_sound:Play(false)
	end
		
	local ToBeContinuedCaption = CreateTextEntity("Bookman24Orange", "")	
	ToBeContinuedCaption:SetText(GetString("TO_BE_CONTINUED"))
	ToBeContinuedCaption:AttachTo(screen)		
	ToBeContinuedCaption:SetXY(800, 100)
	ToBeContinuedCaption:SetZ(200)
	ToBeContinuedCaption:SetOpacity(0)
	
	TimerDo(screen:GetTimer(),
            7.72,
			function()
				af:Play()
				FireNextSalute()
				ToBeContinuedCaption:ChangeOpacity(0, 1, 3)
				TimerDo(screen:GetTimer(),
						3,
						function()
							--af:Play()
							local ct = CreateCreditsText(screen:GetObject("LogoMini"):GetAnimationPtr())
							ct:AttachTo(screen)	
							ct:SetZ(300)
							ct:SetTextPosXY(200, 1000)
							ct:SetClippingEnabled(false)		

							local af = CreateAnimationEffector()
							af:AttachTo(ToBeContinuedCaption)
							af:SetMode(_ANIM_PINGPONG)
							af:SetKey(_TRACK_O, 0, 0.7)
							af:SetKey(_TRACK_O, 1, 1)
							af:Play()
						end)
			end)
			
	
end

function OnSceneFree(screen)
    FreeData(screen)
end

function OnNotebookClosed()
end

function OnUpdate(dt)
end

function OnScreenShown()
end

function OnExit()
end

function OnMinigameCompleted()
end

function OnObjectMouseEnter(object)
    DefaultOnObjectMouseEnter(object)
end

function OnObjectMouseLeave(object)
    DefaultOnObjectMouseLeave(object)
end

function OnObjectMouseDown(object)    
	outro:ScreenDestroy()
	load_screen('data/Lua/Screens/Menu.lua')
	
    return is_wrong_click;    
end

function OnObjectMouseUp(object)
end

function OnObjectWillBeFound(object)
end

function OnToolFound(tool)
end

function OnToolApply(tool, object)
    DefaultOnToolApply(tool, object)
end

function OnObjectReachPanel(object)
end

function OnButtonPress(title)
    DefaultOnButtonPress(title)
end

function OnMouseMove(previous_pos, current_pos)
end

function OnSetTool(tool)
end


function OnLostFocus()
end

function OnGainFocus()
end

function CanBeHinted(obj)
    if locked_object[obj] ~= true then
        return true
    else
        return false
    end
end

-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData(screen)
	local anim = CreateAnimation('data/Texture/Comics/OctopusFree.png',0,0,700,700,1,0)
	anim:SetHotSpot(350,350)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('OctopusFree',anim,1174,789,100,0,0.64,0.64)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('dummy1',anim,106,101,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('dummy2',anim,902,99,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('dummy3',anim,312,251,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('dummy4',anim,705,262,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Effect/particles.png',96,0,32,32,1,0)
	anim:SetHotSpot(16,16)
	anim:SetBlendMode(3)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('SmallStarParticle',anim,150,64,100,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/LogoMini.png',0,0,436,407,1,0)
	anim:SetHotSpot(218,203)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('LogoMini',anim,531,220,100,0,0.5,0.5)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('clickZone',anim,512,384,1,0,1024,768)
end

function FreeData(screen)
end
-- CLEAR_ON_SAVE_END
